## org.eclipse.xsd
Enum XSDOrdered

    java.lang.Object
      java.lang.Enum<XSDOrdered>
          org.eclipse.xsd.XSDOrdered

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDOrdered>, Enumerator

    public enum XSDOrdered

extends java.lang.Enum<XSDOrdered>
implements Enumerator

A representation of the literals of the enumeration 'Ordered'.

See Also:
  `XSDOrderedFacet.getValue()`, `XSDPackage.getXSDOrdered()`

Enum Constant Summary
`FALSE_LITERAL` The 'False' literal object
`PARTIAL_LITERAL` The 'Partial' literal object
`TOTAL_LITERAL` The 'Total' literal object

Field Summary
`static int` `FALSE` The 'False' literal value
`static int` `PARTIAL` The 'Partial' literal value
`static int` `TOTAL` The 'Total' literal value
`static java.util.List<XSDOrdered>` `VALUES` A public read-only list of all the 'Ordered' enumerators

Method Summary
`static XSDOrdered` `get(int value)` Returns the 'Ordered' literal with the specified integer value
`static XSDOrdered` `get(java.lang.String literal)` Returns the 'Ordered' literal with the specified literal value
`static XSDOrdered` `getByName(java.lang.String name)` Returns the 'Ordered' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDOrdered` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDOrdered[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FALSE_LITERAL

    public static final XSDOrdered FALSE_LITERAL

  The 'False' literal object.

  See Also:
    `FALSE`

### PARTIAL_LITERAL

    public static final XSDOrdered PARTIAL_LITERAL

  The 'Partial' literal object.

  See Also:
    `PARTIAL`

### TOTAL_LITERAL

    public static final XSDOrdered TOTAL_LITERAL

  The 'Total' literal object.

  See Also:
    `TOTAL`

Field Detail

### FALSE

    public static final int FALSE

  The 'False' literal value.

  This is used to indicate that a simple type definition's value space is unordered.

  See Also:
    `FALSE_LITERAL`, Constant Field Values

### PARTIAL

    public static final int PARTIAL

  The 'Partial' literal value.

  This is used to indicate that a simple type definition's value space is partially ordered.

  See Also:
    `PARTIAL_LITERAL`, Constant Field Values

### TOTAL

    public static final int TOTAL

  The 'Total' literal value.

  This is used to indicate that a simple type definition's value space is ordered.

  See Also:
    `TOTAL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDOrdered> VALUES

  A public read-only list of all the 'Ordered' enumerators.

Method Detail

### values

    public static final XSDOrdered[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDOrdered c : XSDOrdered.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDOrdered valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDOrdered get(java.lang.String literal)

  Returns the 'Ordered' literal with the specified literal value.

### getByName

    public static XSDOrdered getByName(java.lang.String name)

  Returns the 'Ordered' literal with the specified name.

### get

    public static XSDOrdered get(int value)

  Returns the 'Ordered' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDOrdered>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.